> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/v1/warranties/claims/&#123;id&#125;/approve

> POST /api/v1/warranties/claims/&#123;id&#125;/approve

### Path parameters

<ParamField path="id" type="string (uuid)" required>
  Warranty claim ID
</ParamField>

### Request body

JSON body of type `ApproveWarrantyClaimRequest`.

### Responses

<ResponseField name="200" type="ApiResponse_Value">
  Warranty claim approved
</ResponseField>

<ResponseField name="400" type="ErrorResponse">
  Invalid request
</ResponseField>

<ResponseField name="404" type="ErrorResponse">
  Warranty claim not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/warranties/claims/{id}/approve' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": null,
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
